Bug 280086 - Perspective grid is slow with QPainter canvas
Summary: Perspective grid is slow with QPainter canvas
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: 0.1
Platform: Unlisted Binaries Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-14 18:45 UTC by Sven Langkamp
Modified: 2011-12-09 01:02 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sven Langkamp 2011-08-14 18:45:59 UTC
Version:           0.1
OS:                Linux

After adding a perspective grid painting get really slow. Doesn't only happen with QPainter canvas, OpenGL works fine.

Reproducible: Always

Steps to Reproduce:
-insert perspective grid
-observe slowness


Expected Results:  
-fast

OS: Linux (x86_64) release 2.6.38-10-generic
Compiler: cc
Comment 1 Geoffry Song 2011-12-07 03:23:35 UTC
Git commit eb82fab9a76582b318902667665df3d8c61a95b6 by Geoffry Song.
Committed on 07/12/2011 at 04:15.
Pushed by geoffrysong into branch 'master'.

assistants: Cache rendering

This significantly improves performance using the QPainter backend,
as KisPaintingAssistant::drawPath is very expensive.

This also adds some caching to PerspectiveAssistant.

CCBUG: 280086

M  +21   -0    krita/plugins/assistants/RulerAssistant/Ellipse.cc
M  +1    -0    krita/plugins/assistants/RulerAssistant/Ellipse.h
M  +11   -6    krita/plugins/assistants/RulerAssistant/EllipseAssistant.cc
M  +3    -1    krita/plugins/assistants/RulerAssistant/EllipseAssistant.h
M  +59   -32   krita/plugins/assistants/RulerAssistant/PerspectiveAssistant.cc
M  +11   -1    krita/plugins/assistants/RulerAssistant/PerspectiveAssistant.h
M  +2    -5    krita/plugins/assistants/RulerAssistant/RulerAssistant.cc
M  +2    -1    krita/plugins/assistants/RulerAssistant/RulerAssistant.h
M  +1    -5    krita/plugins/assistants/RulerAssistant/SplineAssistant.cc
M  +2    -1    krita/plugins/assistants/RulerAssistant/SplineAssistant.h
M  +4    -1    krita/plugins/assistants/RulerAssistant/kis_ruler_assistant_tool.cc
M  +73   -0    krita/ui/kis_painting_assistant.cc
M  +6    -1    krita/ui/kis_painting_assistant.h
M  +0    -2    krita/ui/kis_painting_assistants_manager.cc

http://commits.kde.org/calligra/eb82fab9a76582b318902667665df3d8c61a95b6
Comment 2 Geoffry Song 2011-12-07 03:26:38 UTC
Is the performance good enough now?
Comment 3 Sven Langkamp 2011-12-09 01:02:56 UTC
Yep, performance is good enough.